Name:           kshutdown
Version:        1.0.1
Release:        5%{?dist}
Summary:        KShutDown is an advanced shut down utility for KDE 3

Group:          Applications/System
License:        GPLv2

URL:            http://kshutdown.sourceforge.net/
Source:         http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Source1:        hi64-app-kshutdown.png
#Source2: so that kshutdown.png looks beautiful on katapult
Source2:        hi128-app-kshutdown.png
Patch0:         %{name}-usr-actions-h.patch
Patch1:         %{name}-usr-actions-cpp.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  desktop-file-utils kdelibs3-devel
# needed in kshutdown/actions.h
Requires:       xscreensaver-base

%description
KShutDown is an advanced shut down utility for KDE 3.

%prep
%setup -q

%patch0 -p0 -b .usr.h
%patch1 -p0 -b .usr.cpp

%build
%configure --disable-rpath
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

#bug 241019
echo "OnlyShowIn=KDE;" >> %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor fedora                        \
        --dir %{buildroot}%{_datadir}/applications          \
        --add-category Utility                              \
        --delete-original                                   \
    %{buildroot}%{_datadir}/applications/%{name}.desktop


%{__rm} -f %{buildroot}%{_datadir}/apps/%{name}/extras/{multimedia,system,shutdown}/.directory

%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/
%{__cp} -p %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/
%{__cp} -p %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d %{buildroot}$HTML_DIR ]; then
for lang_dir in %{buildroot}$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../../en/common $i/common
      done
    popd
  fi
done
fi

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO VERSION

%{_bindir}/%{name}

# Should at all cost ship the .la file if not we'll struck the bug #224430
# "The KShutDown applet could not be loaded. Please check your installation."
%{_libdir}/kde3/%{name}lockout_panelapplet.la

%{_libdir}/kde3/%{name}lockout_panelapplet.so
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/apps/%{name}
%{_datadir}/apps/kconf_update/%{name}.upd
%{_datadir}/apps/kicker/applets/%{name}lockout.desktop
%{_datadir}/icons/hicolor/??x??/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

%Changelog
* Thu Aug 23 2007 Chitlesh Goorah  <chitlesh [AT] fedoraproject DOT org> - 1.0.1-1
- mass rebuild for fedora 8 - BuildID

* Fri Apr 27 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> 1.0-3
- bug fixing #241019 for gnome

* Fri Apr 27 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> 1.0-2
- patched the default values to allow user permissions on actions
- added 64x64 and 128x128 png icons so that kshutdown looks beautiful on katapult

* Sat Apr 20 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> 1.0-1
- New upstream release

* Sat Feb 03 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> 0.9.1beta-2
- bug fix #224430

* Wed Jan 10 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> 0.9.1beta-1
- New upstream development release 0.9.1beta
- Dropped fedora vendor
- Minor fixes in the spec files
- Fixed absolute paths

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> 0.8.2-5
- Added %%{?dist}

* Wed Aug 23 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> 0.8.2-4
- Fixed symlinks and rpmlint warnings

* Wed Mar 29 2006 Kushal Das <kushal@fedoraproject.org> 0.8.2-3
- Changed release tag

* Wed Mar 29 2006 Kushal Das <kushal@fedoraproject.org> 0.8.2-2
- Changed post/postun , lang part & buildrequires

* Sun Mar 26 2006 Kushal Das <kushal@fedoraproject.org> 0.8.2-1
- initial release
